OpenNMS API 1.2.9

## org.opennms.netmgt.config.filter
Class Column

    java.lang.Object
      org.opennms.netmgt.config.filter.Column

All Implemented Interfaces:
  java.io.Serializable

public class Column
extends java.lang.Object
implements java.io.Serializable

Version:
  $Revision$ $Date$
See Also:
  Serialized Form

Field Summary
`private java.util.ArrayList` `_aliasList`
`private java.util.ArrayList` `_constraintList`
`private java.lang.String` `_javaType`
`private java.lang.String` `_name`
`private java.lang.String` `_sqlType`
`private java.lang.String` `_visable`
`private java.util.Vector` `propertyChangeListeners`

Constructor Summary
`Column()`

Method Summary
`void` `addAlias(Alias vAlias)`
`void` `addAlias(int index, Alias vAlias)`
`void` `addConstraint(Constraint vConstraint)`
`void` `addConstraint(int index, Constraint vConstraint)`
`void` `addPropertyChangeListener(java.beans.PropertyChangeListener pcl)` Registers a PropertyChangeListener with this class.
`void` `clearAlias()`
`void` `clearConstraint()`
`java.util.Enumeration` `enumerateAlias()`
`java.util.Enumeration` `enumerateConstraint()`
`boolean` `equals(java.lang.Object obj)` Note: hashCode() has not been overriden
`Alias[]` `getAlias()`
`Alias` `getAlias(int index)`
`java.util.Collection` `getAliasCollection()`
`int` `getAliasCount()`
`Constraint[]` `getConstraint()`
`Constraint` `getConstraint(int index)`
`java.util.Collection` `getConstraintCollection()`
`int` `getConstraintCount()`
`java.lang.String` `getJavaType()` Returns the value of field 'javaType'.
`java.lang.String` `getName()` Returns the value of field 'name'.
`java.lang.String` `getSqlType()` Returns the value of field 'sqlType'.
`java.lang.String` `getVisable()` Returns the value of field 'visable'.
`boolean` `isValid()`
`void` `marshal(org.xml.sax.DocumentHandler handler)`
`void` `marshal(java.io.Writer out)`
`protected void` `notifyPropertyChangeListeners(java.lang.String fieldName, java.lang.Object oldValue, java.lang.Object newValue)` Notifies all registered PropertyChangeListeners when a bound property's value changes.
`boolean` `removeAlias(Alias vAlias)`
`boolean` `removeConstraint(Constraint vConstraint)`
`boolean` `removePropertyChangeListener(java.beans.PropertyChangeListener pcl)` Removes the given PropertyChangeListener from this classes list of ProperyChangeListeners.
`void` `setAlias(Alias[] aliasArray)`
`void` `setAlias(int index, Alias vAlias)`
`void` `setAliasCollection(java.util.Collection vAlias)`
`void` `setConstraint(Constraint[] constraintArray)`
`void` `setConstraint(int index, Constraint vConstraint)`
`void` `setConstraintCollection(java.util.Collection vConstraint)`
`void` `setJavaType(java.lang.String javaType)` Sets the value of field 'javaType'.
`void` `setName(java.lang.String name)` Sets the value of field 'name'.
`void` `setSqlType(java.lang.String sqlType)` Sets the value of field 'sqlType'.
`void` `setVisable(java.lang.String visable)` Sets the value of field 'visable'.
`static Column` `unmarshal(java.io.Reader reader)`
`void` `validate()`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### _name

    private java.lang.String _name

### _sqlType

    private java.lang.String _sqlType

### _javaType

    private java.lang.String _javaType

### _visable

    private java.lang.String _visable

### _aliasList

    private java.util.ArrayList _aliasList

### _constraintList

    private java.util.ArrayList _constraintList

### propertyChangeListeners

    private java.util.Vector propertyChangeListeners

Constructor Detail

### Column

    public Column()

Method Detail

### addAlias

    public void addAlias(Alias vAlias)
                  throws java.lang.IndexOutOfBoundsException

  Parameters:
    `vAlias` -
  Throws:
    `java.lang.IndexOutOfBoundsException`

### addAlias

    public void addAlias(int index,
                         Alias vAlias)
                  throws java.lang.IndexOutOfBoundsException

  Parameters:
    `index` -
    `vAlias` -
  Throws:
    `java.lang.IndexOutOfBoundsException`

### addConstraint

    public void addConstraint(Constraint vConstraint)
                       throws java.lang.IndexOutOfBoundsException

  Parameters:
    `vConstraint` -
  Throws:
    `java.lang.IndexOutOfBoundsException`

### addConstraint

    public void addConstraint(int index,
                              Constraint vConstraint)
                       throws java.lang.IndexOutOfBoundsException

  Parameters:
    `index` -
    `vConstraint` -
  Throws:
    `java.lang.IndexOutOfBoundsException`

### addPropertyChangeListener

    public void addPropertyChangeListener(java.beans.PropertyChangeListener pcl)

  Registers a PropertyChangeListener with this class.

  Parameters:
    `pcl` - The PropertyChangeListener to register.

### clearAlias

    public void clearAlias()

### clearConstraint

    public void clearConstraint()

### enumerateAlias

    public java.util.Enumeration enumerateAlias()

### enumerateConstraint

    public java.util.Enumeration enumerateConstraint()

### equals

    public boolean equals(java.lang.Object obj)

  Note: hashCode() has not been overriden

  Parameters:
    `obj` -

### getAlias

    public Alias getAlias(int index)
                   throws java.lang.IndexOutOfBoundsException

  Parameters:
    `index` -
  Throws:
    `java.lang.IndexOutOfBoundsException`

### getAlias

    public Alias[] getAlias()

### getAliasCollection

    public java.util.Collection getAliasCollection()

### getAliasCount

    public int getAliasCount()

### getConstraint

    public Constraint getConstraint(int index)
                             throws java.lang.IndexOutOfBoundsException

  Parameters:
    `index` -
  Throws:
    `java.lang.IndexOutOfBoundsException`

### getConstraint

    public Constraint[] getConstraint()

### getConstraintCollection

    public java.util.Collection getConstraintCollection()

### getConstraintCount

    public int getConstraintCount()

### getJavaType

    public java.lang.String getJavaType()

  Returns the value of field 'javaType'.

  Returns:
    the value of field 'javaType'.

### getName

    public java.lang.String getName()

  Returns the value of field 'name'.

  Returns:
    the value of field 'name'.

### getSqlType

    public java.lang.String getSqlType()

  Returns the value of field 'sqlType'.

  Returns:
    the value of field 'sqlType'.

### getVisable

    public java.lang.String getVisable()

  Returns the value of field 'visable'.

  Returns:
    the value of field 'visable'.

### isValid

    public boolean isValid()

### marshal

    public void marshal(java.io.Writer out)
                 throws org.exolab.castor.xml.MarshalException,
                        org.exolab.castor.xml.ValidationException

  Parameters:
    `out` -
  Throws:
    `org.exolab.castor.xml.MarshalException`
    `org.exolab.castor.xml.ValidationException`

### marshal

    public void marshal(org.xml.sax.DocumentHandler handler)
                 throws org.exolab.castor.xml.MarshalException,
                        org.exolab.castor.xml.ValidationException

  Parameters:
    `handler` -
  Throws:
    `org.exolab.castor.xml.MarshalException`
    `org.exolab.castor.xml.ValidationException`

### notifyPropertyChangeListeners

    protected void notifyPropertyChangeListeners(java.lang.String fieldName,
                                                 java.lang.Object oldValue,
                                                 java.lang.Object newValue)

  Notifies all registered PropertyChangeListeners when a bound property's value changes.

  Parameters:
    `fieldName` - the name of the property that has changed.
    `newValue` - the new value of the property.
    `oldValue` - the old value of the property.

### removeAlias

    public boolean removeAlias(Alias vAlias)

  Parameters:
    `vAlias` -

### removeConstraint

    public boolean removeConstraint(Constraint vConstraint)

  Parameters:
    `vConstraint` -

### removePropertyChangeListener

    public boolean removePropertyChangeListener(java.beans.PropertyChangeListener pcl)

  Removes the given PropertyChangeListener from this classes list of ProperyChangeListeners.

  Parameters:
    `pcl` - The PropertyChangeListener to remove.
  Returns:
    true if the given PropertyChangeListener was removed.

### setAlias

    public void setAlias(int index,
                         Alias vAlias)
                  throws java.lang.IndexOutOfBoundsException

  Parameters:
    `index` -
    `vAlias` -
  Throws:
    `java.lang.IndexOutOfBoundsException`

### setAlias

    public void setAlias(Alias[] aliasArray)

  Parameters:
    `aliasArray` -

### setAliasCollection

    public void setAliasCollection(java.util.Collection vAlias)

  Parameters:
    `vAlias` -

### setConstraint

    public void setConstraint(int index,
                              Constraint vConstraint)
                       throws java.lang.IndexOutOfBoundsException

  Parameters:
    `index` -
    `vConstraint` -
  Throws:
    `java.lang.IndexOutOfBoundsException`

### setConstraint

    public void setConstraint(Constraint[] constraintArray)

  Parameters:
    `constraintArray` -

### setConstraintCollection

    public void setConstraintCollection(java.util.Collection vConstraint)

  Parameters:
    `vConstraint` -

### setJavaType

    public void setJavaType(java.lang.String javaType)

  Sets the value of field 'javaType'.

  Parameters:
    `javaType` - the value of field 'javaType'.

### setName

    public void setName(java.lang.String name)

  Sets the value of field 'name'.

  Parameters:
    `name` - the value of field 'name'.

### setSqlType

    public void setSqlType(java.lang.String sqlType)

  Sets the value of field 'sqlType'.

  Parameters:
    `sqlType` - the value of field 'sqlType'.

### setVisable

    public void setVisable(java.lang.String visable)

  Sets the value of field 'visable'.

  Parameters:
    `visable` - the value of field 'visable'.

### unmarshal

    public static Column unmarshal(java.io.Reader reader)
                            throws org.exolab.castor.xml.MarshalException,
                                   org.exolab.castor.xml.ValidationException

  Parameters:
    `reader` -
  Throws:
    `org.exolab.castor.xml.MarshalException`
    `org.exolab.castor.xml.ValidationException`

### validate

    public void validate()
                  throws org.exolab.castor.xml.ValidationException

  Throws:
    `org.exolab.castor.xml.ValidationException`

OpenNMS API 1.2.9

Generated by ranger on May 19 2007 2335.